diff --git a/meta-oe/recipes-support/uim/uim/0001-Add-support-for-aarch64.patch b/meta-oe/recipes-support/uim/uim/0001-Add-support-for-aarch64.patch
deleted file mode 100644
index 391b0e68b0..0000000000
--- a/meta-oe/recipes-support/uim/uim/0001-Add-support-for-aarch64.patch
+++ /dev/null
@@ -1,80 +0,0 @@
-From 82f44f53b9a9766c2ec816f237506beb953eb332 Mon Sep 17 00:00:00 2001
-From: Andreas Schwab <schwab@suse.de>
-Date: Wed, 29 Oct 2014 14:18:28 +0100
-Subject: [PATCH] Add support for aarch64
-
-* include/private/gcconfig.h: Add support for aarch64.
-
----
- sigscheme/libgcroots/include/private/gcconfig.h | 37 +++++++++++++++++++++++++
- 1 file changed, 37 insertions(+)
-
-diff --git a/sigscheme/libgcroots/include/private/gcconfig.h b/sigscheme/libgcroots/include/private/gcconfig.h
-index 4d42b03..0f13db6 100644
---- a/sigscheme/libgcroots/include/private/gcconfig.h
-+++ b/sigscheme/libgcroots/include/private/gcconfig.h
-@@ -62,6 +62,13 @@
- # endif
- 
- /* Determine the machine type: */
-+# if defined(__aarch64__)
-+#    define AARCH64
-+#    if !defined(LINUX)
-+#      define NOSYS
-+#      define mach_type_known
-+#    endif
-+# endif
- # if defined(__arm__) || defined(__thumb__)
- #    define ARM32
- #    if !defined(LINUX) && !defined(NETBSD)
-@@ -231,6 +238,10 @@
- #    define IA64
- #    define mach_type_known
- # endif
-+# if defined(LINUX) && defined(__aarch64__)
-+#    define AARCH64
-+#    define mach_type_known
-+# endif
- # if defined(LINUX) && defined(__arm__)
- #    define ARM32
- #    define mach_type_known
-@@ -504,6 +515,7 @@
- 		    /* 			running Amdahl UTS4		*/
-                     /*             S390       ==> 390-like machine      */
- 		    /*                  running LINUX                   */
-+                    /*             AARCH64    ==> ARM AArch64           */
- 		    /* 		   ARM32      ==> Intel StrongARM	*/
- 		    /* 		   IA64	      ==> Intel IPF		*/
- 		    /*				  (e.g. Itanium)	*/
-@@ -1724,6 +1736,31 @@
- #   endif
- # endif
- 
-+# ifdef AARCH64
-+#   define CPP_WORDSZ 64
-+#   define MACH_TYPE "AARCH64"
-+#   define ALIGNMENT 8
-+#   ifndef HBLKSIZE
-+#     define HBLKSIZE 4096
-+#   endif
-+#   ifdef LINUX
-+#     define OS_TYPE "LINUX"
-+#     define LINUX_STACKBOTTOM
-+#     define DYNAMIC_LOADING
-+      extern int __data_start[];
-+#     define DATASTART ((ptr_t)__data_start)
-+      extern char _end[];
-+#     define DATAEND ((ptr_t)(&_end))
-+#   endif
-+#   ifdef NOSYS
-+      /* __data_start is usually defined in the target linker script.   */
-+      extern int __data_start[];
-+#     define DATASTART ((ptr_t)__data_start)
-+      extern void *__stack_base__;
-+#     define STACKBOTTOM ((ptr_t)__stack_base__)
-+#   endif
-+# endif
-+
- # ifdef ARM32
- #   define CPP_WORDSZ 32
- #   define MACH_TYPE "ARM32"
diff --git a/meta-oe/recipes-support/uim/uim/0001-fix-bug-for-cross-compile.patch b/meta-oe/recipes-support/uim/uim/0001-fix-bug-for-cross-compile.patch
index 0c8f02d6ce..510a8c8407 100644
--- a/meta-oe/recipes-support/uim/uim/0001-fix-bug-for-cross-compile.patch
+++ b/meta-oe/recipes-support/uim/uim/0001-fix-bug-for-cross-compile.patch
@@ -9,18 +9,16 @@ Signed-off-by: Lei Maohui <leimaohui@cn.fujitsu.com>
  configure.ac | 4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)
 
-diff --git a/configure.ac b/configure.ac
-index 9be879c..9249bfd 100644
 --- a/configure.ac
 +++ b/configure.ac
-@@ -1208,8 +1208,8 @@ AC_HELP_STRING([--with-libedit[=DIR], Enable libedit support
- if test "x$use_libedit" != "xno"; then
-     saved_CPPFLAGS=$CPPFLAGS
-     saved_LDFLAGS=$LDFLAGS
--    CPPFLAGS="${CPPFLAGS} -I$libedit_path/include"
--    LDFLAGS="${LDFLAGS} -L$libedit_path/lib"
-+    CPPFLAGS="${CPPFLAGS} "
-+    LDFLAGS="${LDFLAGS} "
-     AC_CHECK_LIB(curses, tgetent, LIBEDIT_LIBS="-lcurses",
-         [AC_CHECK_LIB(ncurses, tgetent, LIBEDIT_LIBS="-lncurses",
-             AC_MSG_WARN("libedit needs libcurses or libncurses. disabled...")
+@@ -1317,8 +1317,8 @@ if test "x$with_libedit" != xno; then
+ 
+   saved_CPPFLAGS=$CPPFLAGS
+   saved_LDFLAGS=$LDFLAGS
+-  CPPFLAGS="${CPPFLAGS} -I$libedit_path/include"
+-  LDFLAGS="${LDFLAGS} -L$libedit_path/lib"
++  CPPFLAGS="${CPPFLAGS}"
++  LDFLAGS="${LDFLAGS}"
+   AC_CHECK_LIB(curses, tgetent, LIBEDIT_LIBS="-lcurses",
+     [AC_CHECK_LIB(ncurses, tgetent, LIBEDIT_LIBS="-lncurses",
+       AC_MSG_WARN("libedit needs libcurses or libncurses. disabled...")
diff --git a/meta-oe/recipes-support/uim/uim/uim-module-manager.patch b/meta-oe/recipes-support/uim/uim/uim-module-manager.patch
index 3078af0586..0fafc8533e 100644
--- a/meta-oe/recipes-support/uim/uim/uim-module-manager.patch
+++ b/meta-oe/recipes-support/uim/uim/uim-module-manager.patch
@@ -6,11 +6,9 @@ Date: Fri, 26 Jun 2015 12:57:48 +0900
  scm/Makefile.am | 2 +-
  1 file changed, 1 insertion(+), 1 deletion(-)
 
-diff --git a/scm/Makefile.am b/scm/Makefile.am
-index 14d9393..e8a1083 100644
 --- a/scm/Makefile.am
 +++ b/scm/Makefile.am
-@@ -119,7 +119,7 @@ if EXPAT
+@@ -115,7 +115,7 @@ if EXPAT
    module_names += "yahoo-jp"
  endif
  
diff --git a/meta-oe/recipes-support/uim/uim_1.8.6.bb b/meta-oe/recipes-support/uim/uim_1.8.8.bb
similarity index 90%
rename from meta-oe/recipes-support/uim/uim_1.8.6.bb
rename to meta-oe/recipes-support/uim/uim_1.8.8.bb
index 1c58d40b1d..cc28e6e8fd 100644
--- a/meta-oe/recipes-support/uim/uim_1.8.6.bb
+++ b/meta-oe/recipes-support/uim/uim_1.8.8.bb
@@ -1,19 +1,19 @@
 DESCRIPTION = "A multilingual user input method library"
 HOMEPAGE = "http://uim.freedesktop.org/"
 LICENSE = "BSD-3-Clause & LGPLv2+"
-LIC_FILES_CHKSUM = "file://COPYING;md5=32463fd29aa303fb2360faeeae17256b"
+LIC_FILES_CHKSUM = "file://COPYING;md5=ab2826b41ca0ff4030d38cc39791d1c8"
 SECTION = "inputmethods"
 
-SRC_URI = "https://github.com/uim/uim/releases/download/uim-${PV}/uim-${PV}.tar.bz2"
+SRC_URI = "https://github.com/uim/uim/releases/download/${PV}/uim-${PV}.tar.bz2"
 
-SRC_URI_append_class-target = " file://uim-module-manager.patch \
+SRC_URI_append_class-target = "\
+    file://uim-module-manager.patch \
     file://0001-fix-bug-for-cross-compile.patch \
-    file://0001-Add-support-for-aarch64.patch \
 "
-SRC_URI[md5sum] = "ecea4c597bab1fd4ba98ea84edcece59"
-SRC_URI[sha256sum] = "7b1ea803c73f3478917166f04f67cce6e45ad7ea5ab6df99b948c17eb1cb235f"
+SRC_URI[md5sum] = "01c7bd5d0d4f3a9f6f5befe6f57a470b"
+SRC_URI[sha256sum] = "34599bbcc4e5ab87832370763e38be5100984a64237555e9234a1ea225a0fadc"
 
-DEPENDS = "anthy fontconfig libxft libxt glib-2.0 ncurses intltool"
+DEPENDS = "anthy fontconfig libxft libxt glib-2.0 ncurses intltool libedit"
 DEPENDS_append_class-target = " intltool-native gtk+ gtk+3 uim-native takao-fonts"
 
 RDEPENDS_uim = "libuim0 libedit"
@@ -39,6 +39,9 @@ EXTRA_OECONF += "--disable-emacs \
 
 CONFIGUREOPTS_remove_class-target = "--disable-silent-rules"
 
+# https://github.com/uim/uim/issues/44
+PARALLEL_MAKE = ""
+
 #Because m4 file's find maxdepth=2, so copy the m4 files of the deep depth.
 do_configure_prepend () {
     cp ${S}/sigscheme/m4/* ${S}/m4/